Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsBooking flow
Query availabilitySearch availabilityBookCart validateCart checkoutDistinct groups that can occupy units. Useful for configuring separate prices & limits for adult / children / pets.
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
descriptionMultiLanguageStringLocalized description
nameMultiLanguageStringLocalized name
name_singularMultiLanguageStringLocalized singular name
orderintegerOrder to display the capacity group in
requires_explicit_inputbooleanWhether guests need to explicitly fill in the capacity before booking
type"manual" | "sum"Type of the capacity group
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-06-08T20:28:11.406Z",
"updated_at": "2026-06-08T20:28:11.406Z",
"description": {
"default": "Hello",
"nl-NL": "Hallo"
},
"name": {
"default": "Hello",
"nl-NL": "Hallo"
},
"name_singular": {
"default": "Hello",
"nl-NL": "Hallo"
},
"order": 1,
"requires_explicit_input": false,
"type": "manual"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
descriptionFilter<MultiLanguageString>Localized description
nameFilter<MultiLanguageString>Localized name
name_singularFilter<MultiLanguageString>Localized singular name
orderFilter<integer>Order to display the capacity group in
requires_explicit_inputFilter<boolean>Whether guests need to explicitly fill in the capacity before booking
typeFilter<"manual" | "sum">Type of the capacity group
200A list of capacity groups with the selected columns
206Partial Content
GET /capacity_groupscurl -X GET "https://api.bookingmood.com/v1/capacity_groups?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<CapacityGroup> | Array<Partial<CapacityGroup>>201The newly created capacity groups with the selected columns
POST /capacity_groupscurl -X POST "https://api.bookingmood.com/v1/capacity_groups" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
descriptionFilter<MultiLanguageString>Localized description
nameFilter<MultiLanguageString>Localized name
name_singularFilter<MultiLanguageString>Localized singular name
orderFilter<integer>Order to display the capacity group in
requires_explicit_inputFilter<boolean>Whether guests need to explicitly fill in the capacity before booking
typeFilter<"manual" | "sum">Type of the capacity group
204The deleted capacity groups with the selected columns
DELETE /capacity_groupscurl -X DELETE "https://api.bookingmood.com/v1/capacity_groups" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
descriptionFilter<MultiLanguageString>Localized description
nameFilter<MultiLanguageString>Localized name
name_singularFilter<MultiLanguageString>Localized singular name
orderFilter<integer>Order to display the capacity group in
requires_explicit_inputFilter<boolean>Whether guests need to explicitly fill in the capacity before booking
typeFilter<"manual" | "sum">Type of the capacity group
Partial<CapacityGroup>204The updated capacity groups with the selected columns
PATCH /capacity_groupscurl -X PATCH "https://api.bookingmood.com/v1/capacity_groups" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'